Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.naming.java
Class javaRootURLContext

    java.lang.Object
      org.mortbay.naming.java.javaRootURLContext

All Implemented Interfaces:
  javax.naming.Context

    public class javaRootURLContext

extends java.lang.Object
implements javax.naming.Context

javaRootURLContext

This is the root of the java: url namespace

#### Notes

Thanks to Rickard Oberg for the idea of binding an ObjectFactory at "comp".

#### Usage

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

    Field Summary

    protected  java.util.Hashtable
    _env

    protected static javax.naming.NameParser
    _javaNameParser

    protected static NamingContext
    _nameRoot

    static java.lang.String
    URL_PREFIX

    Fields inherited from interface javax.naming.Context

    APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES

    Constructor Summary

    javaRootURLContext(java.util.Hashtable env)

              Creates a new javaRootURLContext instance.

    Method Summary

     java.lang.Object
    addToEnvironment(java.lang.String propName,
                     java.lang.Object propVal)

     void
    bind(javax.naming.Name name,
         java.lang.Object obj)

     void
    bind(java.lang.String name,
         java.lang.Object obj)

     void
    close()

     javax.naming.Name
    composeName(javax.naming.Name name,
                javax.naming.Name prefix)

     java.lang.String
    composeName(java.lang.String name,
                java.lang.String prefix)

     javax.naming.Context
    createSubcontext(javax.naming.Name name)

     javax.naming.Context
    createSubcontext(java.lang.String name)

     void
    destroySubcontext(javax.naming.Name name)

     void
    destroySubcontext(java.lang.String name)

     java.util.Hashtable
    getEnvironment()

     java.lang.String
    getNameInNamespace()

     javax.naming.NameParser
    getNameParser(javax.naming.Name name)

     javax.naming.NameParser
    getNameParser(java.lang.String name)

    protected  NamingContext
    getRoot()

     javax.naming.NamingEnumeration
    list(javax.naming.Name name)

     javax.naming.NamingEnumeration
    list(java.lang.String name)

     javax.naming.NamingEnumeration
    listBindings(javax.naming.Name name)

     javax.naming.NamingEnumeration
    listBindings(java.lang.String name)

     java.lang.Object
    lookup(javax.naming.Name name)

     java.lang.Object
    lookup(java.lang.String name)

     java.lang.Object
    lookupLink(javax.naming.Name name)

     java.lang.Object
    lookupLink(java.lang.String name)

     void
    rebind(javax.naming.Name name,
           java.lang.Object obj)

     void
    rebind(java.lang.String name,
           java.lang.Object obj)

     java.lang.Object
    removeFromEnvironment(java.lang.String propName)

     void
    rename(javax.naming.Name oldName,
           javax.naming.Name newName)

     void
    rename(java.lang.String oldStr,
           java.lang.String newStr)

    protected  javax.naming.Name
    stripProtocol(javax.naming.Name name)

    protected  java.lang.String
    stripProtocol(java.lang.String name)

     void
    unbind(javax.naming.Name name)

     void
    unbind(java.lang.String name)

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Field Detail

    URL_PREFIX

    public static final java.lang.String URL_PREFIX

    See Also:Constant Field Values

    _env

    protected java.util.Hashtable _env

    _nameRoot

    protected static NamingContext _nameRoot

    _javaNameParser

    protected static javax.naming.NameParser _javaNameParser

    Constructor Detail

    javaRootURLContext

    public javaRootURLContext(java.util.Hashtable env)

    Creates a new javaRootURLContext instance.

    Parameters:env - a Hashtable value

    Method Detail

    lookup

    public java.lang.Object lookup(javax.naming.Name name)
                            throws javax.naming.NamingException

    Specified by:lookup in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    lookup

    public java.lang.Object lookup(java.lang.String name)
                            throws javax.naming.NamingException

    Specified by:lookup in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    bind

    public void bind(javax.naming.Name name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

    Specified by:bind in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    bind

    public void bind(java.lang.String name,
                     java.lang.Object obj)
              throws javax.naming.NamingException

    Specified by:bind in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    unbind

    public void unbind(java.lang.String name)
                throws javax.naming.NamingException

    Specified by:unbind in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    unbind

    public void unbind(javax.naming.Name name)
                throws javax.naming.NamingException

    Specified by:unbind in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    rename

    public void rename(java.lang.String oldStr,
                       java.lang.String newStr)
                throws javax.naming.NamingException

    Specified by:rename in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    rename

    public void rename(javax.naming.Name oldName,
                       javax.naming.Name newName)
                throws javax.naming.NamingException

    Specified by:rename in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    rebind

    public void rebind(javax.naming.Name name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

    Specified by:rebind in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    rebind

    public void rebind(java.lang.String name,
                       java.lang.Object obj)
                throws javax.naming.NamingException

    Specified by:rebind in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    lookupLink

    public java.lang.Object lookupLink(javax.naming.Name name)
                                throws javax.naming.NamingException

    Specified by:lookupLink in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    lookupLink

    public java.lang.Object lookupLink(java.lang.String name)
                                throws javax.naming.NamingException

    Specified by:lookupLink in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    createSubcontext

    public javax.naming.Context createSubcontext(javax.naming.Name name)
                                          throws javax.naming.NamingException

    Specified by:createSubcontext in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    createSubcontext

    public javax.naming.Context createSubcontext(java.lang.String name)
                                          throws javax.naming.NamingException

    Specified by:createSubcontext in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    destroySubcontext

    public void destroySubcontext(javax.naming.Name name)
                           throws javax.naming.NamingException

    Specified by:destroySubcontext in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    destroySubcontext

    public void destroySubcontext(java.lang.String name)
                           throws javax.naming.NamingException

    Specified by:destroySubcontext in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    list

    public javax.naming.NamingEnumeration list(javax.naming.Name name)
                                        throws javax.naming.NamingException

    Specified by:list in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    list

    public javax.naming.NamingEnumeration list(java.lang.String name)
                                        throws javax.naming.NamingException

    Specified by:list in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    listBindings

    public javax.naming.NamingEnumeration listBindings(javax.naming.Name name)
                                                throws javax.naming.NamingException

    Specified by:listBindings in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    listBindings

    public javax.naming.NamingEnumeration listBindings(java.lang.String name)
                                                throws javax.naming.NamingException

    Specified by:listBindings in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    composeName

    public javax.naming.Name composeName(javax.naming.Name name,
                                         javax.naming.Name prefix)
                                  throws javax.naming.NamingException

    Specified by:composeName in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    composeName

    public java.lang.String composeName(java.lang.String name,
                                        java.lang.String prefix)
                                 throws javax.naming.NamingException

    Specified by:composeName in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    close

    public void close()
               throws javax.naming.NamingException

    Specified by:close in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    getNameInNamespace

    public java.lang.String getNameInNamespace()
                                        throws javax.naming.NamingException

    Specified by:getNameInNamespace in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    getNameParser

    public javax.naming.NameParser getNameParser(javax.naming.Name name)
                                          throws javax.naming.NamingException

    Specified by:getNameParser in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    getNameParser

    public javax.naming.NameParser getNameParser(java.lang.String name)
                                          throws javax.naming.NamingException

    Specified by:getNameParser in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    addToEnvironment

    public java.lang.Object addToEnvironment(java.lang.String propName,
                                             java.lang.Object propVal)
                                      throws javax.naming.NamingException

    Specified by:addToEnvironment in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    removeFromEnvironment

    public java.lang.Object removeFromEnvironment(java.lang.String propName)
                                           throws javax.naming.NamingException

    Specified by:removeFromEnvironment in interface javax.naming.Context

    Throws:
    javax.naming.NamingException

    getEnvironment

    public java.util.Hashtable getEnvironment()

    Specified by:getEnvironment in interface javax.naming.Context

    getRoot

    protected NamingContext getRoot()

    stripProtocol

    protected javax.naming.Name stripProtocol(javax.naming.Name name)
                                       throws javax.naming.NamingException

    Throws:
    javax.naming.NamingException

    stripProtocol

    protected java.lang.String stripProtocol(java.lang.String name)

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.